maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David J. M. Karlsen (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MDEP-31) ERROR: Cannot override read-only parameter: scope in goal: dependency:copy-dependencies
Date Thu, 07 Sep 2006 21:08:02 GMT
    [ http://jira.codehaus.org/browse/MDEP-31?page=comments#action_74296 ] 
            
David J. M. Karlsen commented on MDEP-31:
-----------------------------------------

The pom seems to be missing:

 maven-dependency-plugin-2.0-20060906.165246-1.jar                              06-Sep-2006
09:52   49K  
 maven-dependency-plugin-2.0-20060906.165246-1.jar.md5                          06-Sep-2006
09:52   32   
 maven-dependency-plugin-2.0-20060906.165246-1.jar.sha1                         06-Sep-2006
09:52   40   
 maven-dependency-plugin-2.0-20060906.165246-1.pom                              06-Sep-2006
09:53  4.9K  
 maven-dependency-plugin-2.0-20060906.165246-1.pom.md5                          06-Sep-2006
09:53   32   
 maven-dependency-plugin-2.0-20060906.165246-1.pom.sha1                         06-Sep-2006
09:53   40   
 maven-dependency-plugin-2.0-20060907.150028-2.jar                              07-Sep-2006
08:00   48K  
 maven-dependency-plugin-2.0-20060907.150028-2.jar.md5                          07-Sep-2006
08:00   32   
 maven-dependency-plugin-2.0-20060907.150028-2.jar.sha1                         07-Sep-2006
08:00   40   
 maven-metadata.xml                                                             06-Sep-2006
09:53  379   
 maven-metadata.xml.md5                                                         06-Sep-2006
09:53   32   
 maven-metadata.xml.sha1                                                        06-Sep-2006
09:53   40   

> ERROR:  Cannot override read-only parameter: scope in goal: dependency:copy-dependencies
> ----------------------------------------------------------------------------------------
>
>                 Key: MDEP-31
>                 URL: http://jira.codehaus.org/browse/MDEP-31
>             Project: Maven 2.x Dependency Plugin
>          Issue Type: Bug
>            Reporter: David J. M. Karlsen
>         Assigned To: John Casey
>             Fix For: 1.1
>
>         Attachments: AbstractDependencyFilterMojo-MDEP-31.java
>
>
> http://maven.apache.org/plugins/maven-dependency-plugin/copy-dependencies-mojo.html 
> states that <scope> is a valid (and writable) configuration element, but the following
configuration:
> <plugins>
> 			<plugin>
> 				<artifactId>maven-dependency-plugin</artifactId>
> 				<version>2.0-SNAPSHOT</version>
> 				<executions>
> 					<execution>
> 						<id>copy-dependencies</id>
> 						<phase>package</phase>
> 						<goals>
> 							<goal>copy-dependencies</goal>
> 						</goals>
> 						<configuration>
> 							<excludeTransitive>true</excludeTransitive>
> 							<scope>compile</scope>
> 						</configuration>
> 					</execution>
> 				</executions>
> 			</plugin>
> 		</plugins>
> will fail with:
> [snip...]
> Building index for all classes...
> Generating C:/dnbnorapi/kildekode/utvikling/dnbnorapi-client/target/site/apidocs\allclasses-frame.html...
> Generating C:/dnbnorapi/kildekode/utvikling/dnbnorapi-client/target/site/apidocs\allclasses-noframe.html...
> Generating C:/dnbnorapi/kildekode/utvikling/dnbnorapi-client/target/site/apidocs\index.html...
> Generating C:/dnbnorapi/kildekode/utvikling/dnbnorapi-client/target/site/apidocs\help-doc.html...
> Generating C:/dnbnorapi/kildekode/utvikling/dnbnorapi-client/target/site/apidocs\stylesheet.css...
> [INFO] Building jar: C:\dnbnorapi\kildekode\utvikling\dnbnorapi-client\target\dnbnorapi-client-1.0-SNAPSHOT-javadoc.jar
> [INFO] [jar:test-jar {execution: default}]
> [INFO] Building jar: C:\dnbnorapi\kildekode\utvikling\dnbnorapi-client\target\dnbnorapi-client-1.0-SNAPSHOT-tests.jar
> [INFO] ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] ------------------------------------------------------------------------
> [INFO] Error configuring: org.apache.maven.plugins:maven-dependency-plugin. Reason: ERROR:
Cannot override read-only par
> ameter: scope in goal: dependency:copy-dependencies
> [INFO] ------------------------------------------------------------------------
> [INFO] For more information, run Maven with the -e switch
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 1 minute 3 seconds
> [INFO] Finished at: Wed Aug 02 13:09:21 CEST 2006
> [INFO] Final Memory: 13M/27M
> [INFO] ------------------------------------------------------------------------

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message